/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 大恒泰山系统
 * 创建日期:2022/8/22
 */
package org.springblade.modules.business.rtu.data.wrapper;


import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.business.rtu.data.entity.RtuDataRiverEntity;
import org.springblade.modules.business.rtu.data.vo.RtuDataGroundVO;
import org.springblade.modules.business.rtu.data.vo.RtuDataRiverVO;

import java.util.*;

/***
 * Date:2022/8/22
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
public class RtuDataRiverWrapper extends BaseEntityWrapper<RtuDataRiverEntity, RtuDataRiverVO> {
	public static RtuDataRiverWrapper build() {
		return new RtuDataRiverWrapper();
	}

	@Override
	public RtuDataRiverVO entityVO(RtuDataRiverEntity entity) {
		RtuDataRiverVO rtuInfoVO = Objects.requireNonNull(BeanUtil.copy(entity, RtuDataRiverVO.class));

		return rtuInfoVO;
	}

	public void appendInfo(RtuDataRiverVO rtuInfoVO) {
		rtuInfoVO.setAreaName(rtuInfoVO.getAdCity() + "/" + rtuInfoVO.getAdDist());

	}
}
